Package twisted :: Package mail :: Module maildir :: Class MaildirDirdbmDomain |
[frames | no frames]

## Class MaildirDirdbmDomain

    AbstractMaildirDomain --+
                            |
                           MaildirDirdbmDomain

A Maildir Domain where membership is checked by a dirdbm file

Method Summary
| ``__init__`(self, service, root, postmaster)` Initialize
| `addUser(self, user, password)`
| `getCredentialsCheckers(self)`
| `requestAvatar(self, avatarId, mind, *interfaces)`
| ``userDirectory`(self, name)` Get the directory for a user
Inherited from AbstractMaildirDomain
| ``exists`(self, user, memo)` Check for existence of user in the domain
| ``setAliasGroup`(self, alias)`
| ``startMessage`(self, user)` Save a message for a given user
| ``willRelay`(self, user, protocol)`

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.cred.portal.IRealm at 0...`
`NoneType` | `_credcheckers` = None
`NoneType` | `portal` = None
Inherited from AbstractMaildirDomain
`NoneType` | `alias` = None
`NoneType` | `root` = None

Method Details

### __init__(self, service, root, postmaster=0) (Constructor) Initialize The first argument is where the Domain directory is rooted. The second is whether non-existing addresses are simply forwarded to postmaster instead of outright bounce The directory structure of a MailddirDirdbmDomain is: /passwd <-- a dirdbm file /USER/{cur,new,del} <-- each user has these three directories Overrides: `twisted.mail.maildir.AbstractMaildirDomain.__init__`

### userDirectory(self, name) Get the directory for a user If the user exists in the dirdbm file, return the directory os.path.join(root, name), creating it if necessary. Otherwise, returns postmaster's mailbox instead if bounces go to postmaster, otherwise return None Overrides: `twisted.mail.maildir.AbstractMaildirDomain.userDirectory`

Class Variable Details

    ### __implements__ Type: `tuple` Value:
        (<class twisted.cred.portal.IRealm at 0x845b744>,
         <class twisted.mail.mail.IAliasableDomain at 0x8677c7c>)

    ### _credcheckers Type: `NoneType` Value:
        None

    ### portal Type: `NoneType` Value:
        None

Generated by Epydoc 2.0 on Sat Oct 25 00:55:05 2003 | http://epydoc.sf.net